## org.jfree.report.modules.factories.report.flow
Class StyleExpressionReadHandler

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
          org.jfree.report.modules.factories.report.flow.AbstractExpressionReadHandler
              org.jfree.report.modules.factories.report.flow.StyleExpressionReadHandler

All Implemented Interfaces:
  org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

    public class StyleExpressionReadHandler

extends AbstractExpressionReadHandler

Creation-Date: 09.04.2006, 13:40:08

Author:
  Thomas Morgner

Constructor Summary
`StyleExpressionReadHandler()`

Method Summary
`java.lang.String` `getStyleKey()`
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractExpressionReadHandler
`getDefaultClassName, getExpression, getHandlerForChild, getObject`

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
`characters, deriveParseParameters, doneParsing, endElement, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleExpressionReadHandler

    public StyleExpressionReadHandler()

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Starts parsing.

  Overrides:
    `startParsing` in class `AbstractExpressionReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### getStyleKey

    public java.lang.String getStyleKey()